Debian Bug report logs - #595839
verilog-mode: FTBFS in squeeze: Nonexistent build-dependency: 'emacs22'

version graph

Package: verilog-mode; Maintainer for verilog-mode is (unknown);

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Mon, 6 Sep 2010 23:12:41 UTC

Severity: serious

Tags: patch, sid, squeeze, wheezy

Found in version verilog-mode/558-1

Fixed in version 558-1+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, NIIBE Yutaka <gniibe@fsij.org>:
Bug#595839; Package verilog-mode. (Mon, 06 Sep 2010 23:12:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to NIIBE Yutaka <gniibe@fsij.org>. (Mon, 06 Sep 2010 23:12:44 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: verilog-mode: FTBFS in squeeze: Nonexistent build-dependency: 'emacs22'
Date: Tue, 7 Sep 2010 01:08:36 +0200
Package: verilog-mode
Version: 558-1
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20100906 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in a squeeze chroot, your package failed
to build on amd64.

Relevant part:
> ** Using build dependencies supplied by package:
> Build-Depends: debhelper (>= 5)
> Build-Depends-Indep: texinfo, emacs22 | emacs21 | emacsen
> N: Can't select versions from package 'libc-dev' as it purely virtual
> N: Can't select versions from package 'awk' as it purely virtual
> N: Can't select versions from package 'debconf-2.0' as it purely virtual
> N: Can't select versions from package 'perlapi-5.10.0' as it purely virtual
> N: No packages found
> 
> ┌──────────────────────────────────────────────────────────────────────────────┐
> │ Install build dependencies (internal resolver)                               │
> └──────────────────────────────────────────────────────────────────────────────┘
> 
> Checking for already installed source dependencies...
> debhelper: missing
> Using default version 8.0.0
> texinfo: missing
> emacs22: missing
> emacs21: missing
> emacsen: missing
> Checking for source dependency conflicts...
> E: Package 'emacs22' has no installation candidate

The full build log is available from:
   http://people.debian.org/~lucas/logs/2010/09/06/verilog-mode_558-1_lsqueeze64.buildlog

It is possible that your package builds fine in sid, but you should make sure
that your package also builds fine in squeeze before the release.

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, NIIBE Yutaka <gniibe@fsij.org>:
Bug#595839; Package verilog-mode. (Fri, 17 Sep 2010 16:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
Extra info received and forwarded to list. Copy sent to NIIBE Yutaka <gniibe@fsij.org>. (Fri, 17 Sep 2010 16:00:02 GMT) Full text and rfc822 format available.

Message #10 received at 595839@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: 595839@bugs.debian.org
Subject: Re: verilog-mode: FTBFS in squeeze: Nonexistent build-dependency: 'emacs22'
Date: Fri, 17 Sep 2010 11:26:47 -0430
[Message part 1 (text/plain, inline)]
On Tue, Sep 07, 2010 at 01:08:36AM +0200, Lucas Nussbaum wrote:
> Package: verilog-mode
> Version: 558-1
> Severity: serious
> Tags: squeeze sid
> User: debian-qa@lists.debian.org
> Usertags: qa-ftbfs-20100906 qa-ftbfs
> Justification: FTBFS on amd64
> 
> Hi,
> 
> During a rebuild of all packages in a squeeze chroot, your package failed
> to build on amd64.

I could rebuild verilog-mode under a clean squeeze chroot
with pbuilder. I attached the build log.

Regards,

-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x7D8967E9 available at http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche
[verilog-mode_558-1.buildlog (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, NIIBE Yutaka <gniibe@fsij.org>:
Bug#595839; Package verilog-mode. (Fri, 24 Sep 2010 12:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to NIIBE Yutaka <gniibe@fsij.org>. (Fri, 24 Sep 2010 12:27:02 GMT) Full text and rfc822 format available.

Message #15 received at 595839@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Miguel Landaeta <miguel@miguel.cc>, 595839@bugs.debian.org
Subject: Re: Bug#595839: verilog-mode: FTBFS in squeeze: Nonexistent build-dependency: 'emacs22'
Date: Fri, 24 Sep 2010 14:24:25 +0200
[Message part 1 (text/plain, inline)]
On Fri, 17 Sep 2010 11:26:47 -0430, Miguel Landaeta wrote:

> > During a rebuild of all packages in a squeeze chroot, your package failed
> > to build on amd64.
> I could rebuild verilog-mode under a clean squeeze chroot
> with pbuilder. I attached the build log.

pbuilder and sbuild handle dependencies differently. In this case
sbuild falls over "emacs22 | emacs21 | emacsen" because emacs22
doesn't exist anymore in squeeze, and it always tries only the first
alternative IIRC (to get consistent results).
pbuilder looks at all alternatives, and if you look in your build log
you see that it chooses emacs23 (via the virtual emacsen package).

Cheers,
gregor, who will now add emacs23
 
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: J.J. Cale: Wish I Had Not Said That
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, NIIBE Yutaka <gniibe@fsij.org>:
Bug#595839; Package verilog-mode. (Fri, 24 Sep 2010 12:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to NIIBE Yutaka <gniibe@fsij.org>. (Fri, 24 Sep 2010 12:39:05 GMT) Full text and rfc822 format available.

Message #20 received at 595839@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 595839@bugs.debian.org
Subject: verilog-mode: diff for NMU version 558-1.1
Date: Fri, 24 Sep 2010 14:37:50 +0200
[Message part 1 (text/plain, inline)]
tags 595839 + patch
tags 595839 + pending
thanks

Dear maintainer,

I've prepared an NMU for verilog-mode (versioned as 558-1.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Janis Joplin: Ball And Chain
[verilog-mode-558-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 24 Sep 2010 12:39:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 24 Sep 2010 12:39:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#595839; Package verilog-mode. (Fri, 24 Sep 2010 23:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to NIIBE Yutaka <gniibe@fsij.org>:
Extra info received and forwarded to list. (Fri, 24 Sep 2010 23:45:04 GMT) Full text and rfc822 format available.

Message #29 received at 595839@bugs.debian.org (full text, mbox):

From: NIIBE Yutaka <gniibe@fsij.org>
To: gregor herrmann <gregoa@debian.org>, 595839@bugs.debian.org
Subject: Re: Bug#595839: verilog-mode: diff for NMU version 558-1.1
Date: Sat, 25 Sep 2010 07:57:46 +0900
gregor herrmann wrote:
> tags 595839 + patch
> tags 595839 + pending
> thanks
> 
> Dear maintainer,
> 
> I've prepared an NMU for verilog-mode (versioned as 558-1.1) and
> uploaded it to DELAYED/2. Please feel free to tell me if I
> should delay it longer.

Thanks.

However, I think that verilog-mode should be deleted.  That's because
it has been integrated into GNU Emacs 23 already.  The package is
exactly for older Emacsen such as GNU Emacs 21 / GNU Emacs 22.
-- 




Information forwarded to debian-bugs-dist@lists.debian.org, NIIBE Yutaka <gniibe@fsij.org>:
Bug#595839; Package verilog-mode. (Sat, 25 Sep 2010 11:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to NIIBE Yutaka <gniibe@fsij.org>. (Sat, 25 Sep 2010 11:48:03 GMT) Full text and rfc822 format available.

Message #34 received at 595839@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: NIIBE Yutaka <gniibe@fsij.org>
Cc: 595839@bugs.debian.org
Subject: Re: Bug#595839: verilog-mode: diff for NMU version 558-1.1
Date: Sat, 25 Sep 2010 13:44:42 +0200
[Message part 1 (text/plain, inline)]
On Sat, 25 Sep 2010 07:57:46 +0900, NIIBE Yutaka wrote:

> > I've prepared an NMU for verilog-mode (versioned as 558-1.1) and
> > uploaded it to DELAYED/2. Please feel free to tell me if I
> > should delay it longer.
> Thanks.
> However, I think that verilog-mode should be deleted.  That's because
> it has been integrated into GNU Emacs 23 already.  The package is
> exactly for older Emacsen such as GNU Emacs 21 / GNU Emacs 22.

Oops, I missed that fact, thanks for the info.

I guess now
- I should cancel the NMU and
- you will file a removal request

Ok?

Cheers,
gregor
 
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Queen: Headlong
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#595839; Package verilog-mode. (Sun, 26 Sep 2010 14:03:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to NIIBE Yutaka <gniibe@fsij.org>:
Extra info received and forwarded to list. (Sun, 26 Sep 2010 14:03:23 GMT) Full text and rfc822 format available.

Message #39 received at 595839@bugs.debian.org (full text, mbox):

From: NIIBE Yutaka <gniibe@fsij.org>
To: gregor herrmann <gregoa@debian.org>, 595839@bugs.debian.org
Subject: Re: Bug#595839: verilog-mode: diff for NMU version 558-1.1
Date: Sun, 26 Sep 2010 22:53:30 +0900
gregor herrmann wrote:
> I guess now
> - I should cancel the NMU and
> - you will file a removal request
> 
> Ok?

Yes, I will do file the removal request next week.
-- 




Information forwarded to debian-bugs-dist@lists.debian.org, NIIBE Yutaka <gniibe@fsij.org>:
Bug#595839; Package verilog-mode. (Sun, 26 Sep 2010 16:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to NIIBE Yutaka <gniibe@fsij.org>. (Sun, 26 Sep 2010 16:03:05 GMT) Full text and rfc822 format available.

Message #44 received at 595839@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: NIIBE Yutaka <gniibe@fsij.org>
Cc: 595839@bugs.debian.org
Subject: Re: Bug#595839: verilog-mode: diff for NMU version 558-1.1
Date: Sun, 26 Sep 2010 18:00:25 +0200
[Message part 1 (text/plain, inline)]
On Sun, 26 Sep 2010 22:53:30 +0900, NIIBE Yutaka wrote:

> > I guess now
> > - I should cancel the NMU and
> > - you will file a removal request
> > Ok?
> Yes, I will do file the removal request next week.

Thanks, I've cancelled the NMU now.

Cheers,
gregor
 
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Peter Ratzenbeck: Stadt von de Engl
[signature.asc (application/pgp-signature, inline)]

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Wed, 16 Feb 2011 15:57:22 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Wed, 16 Feb 2011 15:57:22 GMT) Full text and rfc822 format available.

Message #49 received at 595839-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 595839-done@bugs.debian.org,
Cc: verilog-mode@packages.debian.org, verilog-mode@packages.qa.debian.org
Subject: Bug#613622: Removed package(s) from unstable
Date: Wed, 16 Feb 2011 15:53:25 +0000
Version: 558-1+rm

Dear submitter,

as the package verilog-mode has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/613622

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)




Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:04:37 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 17 Mar 2011 07:34:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 10:44:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.